SimRun::SimRun(long initCacheSize, long initReportFrequency, )
{
  cacheSize = 0;
  reportFrequency = 0;
  hits = misses = errors = 0;
  urlsProcessed = 0;
  reportOutputFile = stderr;
}


long SimRun::processDecFile(FILE *FP)
{
  
}


void reportProgress()
{
  fprintf(reportOutputFile, "Report: %ld %ld / %ld = %2.2lf %%, %ld errors.  Cache size %lld.\n", currentRequest.endTime, hits, urlsProcessed, (double)hits/(hits+misses)*100, error, cache->getCurrentSize());
}
